## ros-noetic-mesh-msgs-hdf5 1.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)

project(mesh_msgs_hdf5)

set(PACKAGE_DEPENDENCIES
  mesh_msgs
  hdf5_map_io
  label_manager
)

find_package(catkin REQUIRED COMPONENTS ${PACKAGE_DEPENDENCIES})
find_package(HDF5 REQUIRED COMPONENTS C CXX HL)

### compile with c++14
set(CMAKE_CXX_STANDARD 14)

catkin_package(
  CATKIN_DEPENDS ${PACKAGE_DEPENDENCIES}
  DEPENDS HDF5
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${HDF5_INCLUDE_DIRS}
)

add_executable(${PROJECT_NAME}
  src/mesh_msgs_hdf5.cpp
)

target_link_libraries(${PROJECT_NAME} 
  ${catkin_LIBRARIES} 
  ${HDF5_LIBRARIES}
  ${HDF5_HL_LIBRARIES}
)

add_dependencies(${PROJECT_NAME}
  ${catkin_EXPORTED_TARGETS}
)

install(
  TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(
  DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-noetic-mesh-msgs-hdf5 (1.1.0-1focal) focal; urgency=high

  * added publishing of mesh_msgs to mesh_msgs_hdf5 package
  * fixed hdf5 to mesh_msgs publisher node
  * resolved catkin lint problems

 -- Sebastian Pütz <spuetz@uos.de>  Tue, 26 Oct 2021 22:00:00 -0000

ros-noetic-mesh-msgs-hdf5 (1.0.1-1focal) focal; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Tue, 10 Nov 2020 23:00:00 -0000

ros-noetic-mesh-msgs-hdf5 (1.0.0-1focal) focal; urgency=high

  * release version 1.0.0

 -- Sebastian Pütz <spuetz@uos.de>  Sat, 25 Apr 2020 22:00:00 -0000

=== debian/control ===
Source: ros-noetic-mesh-msgs-hdf5
Section: misc
Priority: optional
Maintainer: Sebastian Pütz <spuetz@uos.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-hdf5-map-io, ros-noetic-label-manager, ros-noetic-mesh-msgs
Homepage: http://wiki.ros.org/ros_mesh_tools/mesh_msgs_hdf5
Standards-Version: 3.9.2

Package: ros-noetic-mesh-msgs-hdf5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-hdf5-map-io, ros-noetic-label-manager, ros-noetic-mesh-msgs
Description: Read mesh_msgs from hdf5
